FLANG

Public Member Functions | Friends | List of all members
fir::ExtendedValue Class Reference

`#include <flang/Lower/Support/BoxValue.h>`

## Public Member Functions
template<typename A >
constexpr | ExtendedValue (A &&box)
constexpr const CharBoxValue * | getCharBox () const
constexpr const UnboxedValue * | getUnboxed () const
LLVM_DUMP_METHOD void | dump () const
| LLVM style debugging of extended values.

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const ExtendedValue &)
mlir::Value | getBase (const ExtendedValue &exv)
ExtendedValue | substBase (const ExtendedValue &exv, mlir::Value base)

## Detailed Description

An extended value is a box of values pertaining to a discrete entity. It is used in lowering to track all the runtime values related to an entity. For example, an entity may have an address in memory that contains its value(s) as well as various attribute values that describe the shape and starting indices if it is an array entity.

The documentation for this class was generated from the following file:

- include/flang/Lower/Support/BoxValue.h